Bug 113716 - kernel BUG at vmscan.c:239 system crash
kernel BUG at vmscan.c:239 system crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 14:45 EST by Rajendra Shrestha
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajendra Shrestha 2004-01-16 14:45:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
I have a server running Fedora 1 Core stock distribution. It hung up
today and had to be rebooted. While checking /var/log/messages, I saw
two instances of the following just before the system hung up. I've
cut/pasted the relevant portions of the log file as well as my system
info below

--------Begin /var/log/message entries-------------
kernel: kernel BUG at vmscan.c:239!
kernel: invalid operand: 0000
kernel: loop nfs lockd sunrpc autofs e100 floppy sg scsi_
mod microcode keybdev mousedev hid input ehci-hcd usb-uhci usbcore
ext3 jbd raid
1
kernel: CPU:    0
kernel: EIP:    0060:[<c013ac13>]    Not tainted
kernel: EFLAGS: 00010246
kernel:
kernel: EIP is at swap_out [kernel] 0x403 (2.4.22-1.2129.
nptl)
kernel: eax: 00002000   ebx: ded06880   ecx: caf86480   e
dx: c0e7a000
kernel: esi: 00002000   edi: 00002000   ebp: 00000020   e
sp: d2875dac
kernel: ds: 0068   es: 0068   ss: 0068
kernel: Process crond (pid: 17444, stackpage=d2875000)
kernel: Stack: ded06880 00000000 c0226edb de7b3780 cf19c1
80 8d4c33ca dc0d7400 c0227256
kernel:        cf19c180 c6ab86e8 00000286 8d4c33ca dc0d74
00 00000000 00000203 00002000
kernel:        c0e7a000 00000020 caf86480 d2874000 000000
65 c033ec10 0000de1a 00000000
kernel: Call Trace:   [<c0226edb>] ip_output [kernel] 0xc
b (0xd2875db4)
kernel: [<c0227256>] ip_queue_xmit [kernel] 0x2c6 (0xd287
5dc8)
kernel: [<c013adad>] shrink_cache [kernel] 0x13d (0xd2875
e18)
kernel: [<c013b0d3>] shrink_caches [kernel] 0x63 (0xd2875
e44)
kernel: [<c013b156>] try_to_free_pages_zone [kernel] 0x36
 (0xd2875e64)
kernel: [<c013bbfa>] balance_classzone [kernel] 0x5a (0xd
2875e78)
kernel: [<c013be93>] __alloc_pages [kernel] 0xf3 (0xd2875
e94)
kernel: [<c013048f>] do_wp_page [kernel] 0x9f (0xd2875ebc
kernel: [<c0130de9>] handle_mm_fault [kernel] 0xf9 (0xd28
75ee0)
kernel: [<c0117c38>] do_page_fault [kernel] 0x138 (0xd287
5f0c)
kernel: [<c0157d7b>] dput [kernel] 0xdb (0xd2875f2c)
kernel: [<c01188d0>] recalc_task_prio [kernel] 0x90 (0xd2
875f38)
kernel: [<c0117b00>] do_page_fault [kernel] 0x0 (0xd2875f
64)
kernel: [<c0109838>] error_code [kernel] 0x34 (0xd2875f6c
)
kernel: [<c0120068>] exit_notify [kernel] 0x278 (0xd2875f
94)
kernel: [<c0118da0>] schedule_tail [kernel] 0x70 (0xd2875
fa0)
kernel: [<c0117b00>] do_page_fault [kernel] 0x0 (0xd2875f
b0)
kernel: [<c0109838>] error_code [kernel] 0x34 (0xd2875fb8
)
kernel:
kernel:
kernel: Code: 0f 0b ef 00 fe fb 27 c0 e9 f3 fc ff ff c7 4
3 78 00 00 00 00
--------------End of /var/log/messages------------------

#uname -a
Linux yomari 2.4.22-1.2140.nptl #1 Tue Jan 6 20:20:43 EST 2004 i686
i686 i386 GNU/Linux

------------------
# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 1
model name      : Intel(R) Pentium(R) 4 CPU 1.70GHz
stepping        : 2
cpu MHz         : 1703.905
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3394.76
-------------------------


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.My /var/log/messages had two instances of this within a few minutes
and then the system hung up and had to be rebooted
2.
3.
    

Additional info:
Comment 1 Dave Jones 2004-01-16 15:00:52 EST
-2163 just got pushed into the testing branch, which contains a lot of
VM changes (It now matches mainline much more closely). If you could
test with that, it would be appreciated.
Comment 2 Rajendra Shrestha 2004-01-16 19:43:28 EST
Unfortunately, the server is my production server so I can't test with
your testing kernels. I'll look forward to applying the updated kernel
once it's officially released.
Comment 3 Dave Jones 2004-06-19 11:25:55 EDT
should be fixed in current updates.
Comment 4 David Lawrence 2004-09-29 15:57:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.